Subject: Re: [PATCH v3 0/7] ci: speed-up the Windows parts of our GitHub workflow

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Jul 2021 16:20:06 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> This patch series upgrades to newer versions of a couple GitHub Actions we
> use, and also streamlines the Windows jobs using the relatively new
> setup-git-for-windows-sdk Action
> [https://github.com/marketplace/actions/setup-git-for-windows-sdk] (Git for
> Windows is running with this Action for a while now, getting all the kinks
> out).
>
> This patch series should also address the problem where seen was pushed so
> rapidly that the windows-test jobs failed because they no longer checked out
> the identical revision as the windows-build job.
>
> Changes since v2:
>
>  * Made the handwaving make [...] NO_GETTEXT comment in the commit message
>    of the patch "artifacts-tar: respect NO_GETTEXT" more explicit, by
>    setting NO_GETTEXT to a bogus value as required by make.
>  * Added an explicit NO_GETTEXT=YesPlease to the make artifacts-tar
>    invocation in the vs-build job, as well as an explanation in the
>    corresponding commit message why this explicit mention is technically not
>    required.

The above indeed helps the CI at GitHub.  The last run with 'seen'
can be seen at https://github.com/git/git/actions/runs/1005977569

Thanks.